INSTALL USER AGENT (DEFAULT) version 1.7 dB IN 1.6 dB VERSIONS
Posted by: Otto
Date: November 30, 2012 10:20PM

Hello: I need to extract the user agent (default) version of K-Meleon 1.7dB for application in version 1.6 db, and I want to use the version 1.6 db as it is very stable, but on the other hand, the user agent that db is version 1.7 (default) works fine on all sites, and probe and more than 100 sites around.
Help me please, as this default user agent function to perfect and wish to continue using K-Meleon, the better! I love it!
Thank you very much!

Re: INSTALL USER AGENT (DEFAULT) version 1.7 dB IN 1.6 dB VERSIONS
Posted by: JamesD
Date: November 30, 2012 11:24PM

@ Otto

One way to do this is to make a file using Notepad and copy the following strings there.
/********************************************************************************************************/
// personal prefs
// Privacy

pref("kmeleon.privacy.useragent3.name", "K-Meleon/1.7.0");
pref("kmeleon.privacy.useragent3.string", "Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.14pre) Gecko K-Meleon/1.7.0");

Save the file as 'personal.js' and put it into the folder named pref which is a folder directly under the K-Meleon folder. Make sure that you save with the 'all file' method so Notepad will not add the extension 'txt' to the filename.

All the .js files in pref folder are read at startup. The KM 1.7 agent will become the 3rd option in the list of user agents. Note that if you already have a third agent you will need to change the 'useragent3' part of each line so that it is one more than you already have.

INSTALL USER AGENT (DEFAULT) version 1.7 dB IN 1.6 dB VERSIONS
Posted by: Otto
Date: December 01, 2012 07:16AM

Hello: I followed the instructions but when I choose between different user agents, which does not put the entire list: it would be very difficult for your armes file and post it on the forum so everyone can use? Thank you very much!

Re: INSTALL USER AGENT (DEFAULT) version 1.7 dB IN 1.6 dB VERSIONS
Posted by: rodocop
Date: December 01, 2012 01:51PM

James,
did you mean that we need to create new folder called 'pref' in KM root directory?

_____________________________________
Using K-Meleon-1.6db+NS by dugbug / KM-16-S2014
1.6beta2.6 by JamesD
_____________________________________
Recommending K-Meleon Twin+`||`Discuss it!!!
_____________________________________
New KM74 for test and feedback! Get It!

Re: INSTALL USER AGENT (DEFAULT) version 1.7 dB IN 1.6 dB VERSIONS
Posted by: JamesD
Date: December 01, 2012 07:53PM

Sorry, I mistyped again. The pref folder should be in defaults which is in the KM root folder. Mine is as follows:

C:\Program Files\K-Meleon\defaults\pref

It is the same folder with I10n.js.

Since I10n.js contains these agents -
pref("kmeleon.privacy.useragent1.name", "Firefox 3.5");
pref("kmeleon.privacy.useragent1.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.16) Gecko/20101130 Firefox/3.5.16");
pref("kmeleon.privacy.useragent2.name", "SeaMonkey 2.0");
pref("kmeleon.privacy.useragent2.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.16) Gecko/20101123 SeaMonkey/2.0.11");

I add a third agent ( required by my bank - they will not accept the beta versions ) by putting it in personal.js.
pref("kmeleon.privacy.useragent3.name", "K-Meleon/1.5.4");
pref("kmeleon.privacy.useragent3.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.24pre) Gecko/20100228 K-Meleon/1.5.4");

All the files of type js are read at startup and I have three agent in the TOOLS - USER AGENT menu. Just substitute the strings for KM 1.7 where I have used KM 1.5.4.

K-Meleon forum is powered by Phorum.